 /*
  * Khoros: $Id: matrix.h,v 1.1 1991/05/10 04:12:16 khoros Exp $
  */

 /*
  * $Log: matrix.h,v $
 * Revision 1.1  1991/05/10  04:12:16  khoros
 * Initial revision
 *
  */ 

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1990, University of New Mexico.  All rights reserved.
 * 
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *----------------------------------------------------------------------
 */

#include "unmcopyright.h"	 /* Copyright 1990 by UNM */

#ifndef _matrix_h_
#define _matrix_h_

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                       <<<<
   >>>>	    file name: matrix.h                               <<<<
   >>>>                                                       <<<<
   >>>>      contains: defines and structures used by the     <<<<
   >>>>                matrix parser found in num_anal.a      <<<<
   >>>>                and any routines that use the parser   <<<<
   >>>>                                                       <<<<
   >>>>      written by:  J. Worley                           <<<<
   >>>>                                                       <<<<
   >>>>      date: 3/10/91                                    <<<<
   >>>>                                                       <<<<
   >>>>      modifications:				      <<<<
   >>>>                                                       <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */



/*
** this structure is the parser's data type
*/

struct ELEMENT {
     double real,imag;
};

/*
** the following definitions allow use to make the conventional code 
** generated by lex and yacc unique.
*/

#define yyparse parse_matrix
#define yylex   lex_matrix
#define yyerror error_matrix

/*
** define the default data type
*/

#define YYSTYPE struct ELEMENT

/*
** adjust is a constant that is used to change the size of alloced arrays
*/

#define ADJUST 10

/**/

#endif /* _matrix_h_ */
/* do not add after this line */
