 /*
  * Khoros: $Id: rast2viff.h,v 1.1 1991/05/10 15:52:59 khoros Exp $
  */

 /*
  * $Log: rast2viff.h,v $
 * Revision 1.1  1991/05/10  15:52:59  khoros
 * Initial revision
 *
  */ 

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: rast2viff.h
 >>>>            Author: Tom Sauer
 >>>> Date Last Updated: Sat Mar  2 14:34:54 1991
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _rast2viff_h_
#define _rast2viff_h_

#include "vinclude.h"


/* -include_includes */
 
#include        "file_formats/rast.h"

/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program,	/* a pointer to the program name argv[0] */
	*calloc();
int	ac;

/****************************************************************
*
*                    rast2viff Argument Structure
*
****************************************************************/

typedef struct _rast2viff  {

/*
 *  input Raster image file (Required infile)
 */
char	*i_file;	/* input Raster image file FILENAME */
int	 i_flag;	/* input Raster image file FLAG */

/*
 *  resulting output image (viff file) (Required outfile)
 */
char	*o_file;	/* resulting output image (viff file) FILENAME */
int	 o_flag;	/* resulting output image (viff file) FLAG */

/*
 *  if yes, invert image (photonegative); if no (default) do not invert image (photopositive) (Optional logical)
 */
int	 p_logic;	/* if yes, invert image (photonegative); if no (default) do not invert image (photopositive) LOGIC */
int	 p_flag;  	/* if yes, invert image (photonegative); if no (default) do not invert image (photopositive) FLAG */

}  rast2viff_struct;

rast2viff_struct *rast2viff;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
