 /*
  * Khoros: $Id: concert.h,v 1.1 1991/05/10 15:58:22 khoros Exp $
  */

 /*
  * $Log: concert.h,v $
 * Revision 1.1  1991/05/10  15:58:22  khoros
 * Initial revision
 *
  */ 

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: concert.h
 >>>>            Author: Mark Young & Danielle Argiro
 >>>> Date Last Updated: Tue Apr  2 15:03:58 1991
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _concert_h_
#define _concert_h_

#include "xvinclude.h"


/* -include_includes */
#include "xvforms.h"
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program,	/* a pointer to the program name argv[0] */
	*calloc();
int	ac;

/****************************************************************
*
*                    concert Argument Structure
*
****************************************************************/

typedef struct _concert  {

/*
 *  name of Khoros program to be executed (Required string)
 */
char	*command;       	/* name of Khoros program to be executed STRING */
int	 command_flag;   	/* name of Khoros program to be executed FLAG */

/*
 *  second display  (Required string)
 */
char	*d2;       	/* second display  STRING */
int	 d2_flag;   	/* second display  FLAG */

/*
 *  Master/Slave mode (true) or Equal-Participant Mode (false) (Optional logical)
 */
int	 master;      	/* Master/Slave mode (true) or Equal-Participant Mode (false) LOGIC */
int	 master_flag;  	/* Master/Slave mode (true) or Equal-Participant Mode (false) FLAG */

/*
 *  third display  (Optional string)
 */
char	*d3;       	/* third display  STRING */
int	 d3_flag;   	/* third display  FLAG */

/*
 *  fourth display  (Optional string)
 */
char	*d4;       	/* fourth display  STRING */
int	 d4_flag;   	/* fourth display  FLAG */

/*
 *  fifth display  (Optional string)
 */
char	*d5;       	/* fifth display  STRING */
int	 d5_flag;   	/* fifth display  FLAG */

/*
 *  sixth display  (Optional string)
 */
char	*d6;       	/* sixth display  STRING */
int	 d6_flag;   	/* sixth display  FLAG */

/*
 *  seventh display  (Optional string)
 */
char	*d7;       	/* seventh display  STRING */
int	 d7_flag;   	/* seventh display  FLAG */

/*
 *  eighth display  (Optional string)
 */
char	*d8;       	/* eighth display  STRING */
int	 d8_flag;   	/* eighth display  FLAG */

/*
 *  ninth display  (Optional string)
 */
char	*d9;       	/* ninth display  STRING */
int	 d9_flag;   	/* ninth display  FLAG */

/*
 *  tenth display  (Optional string)
 */
char	*d10;       	/* tenth display  STRING */
int	 d10_flag;   	/* tenth display  FLAG */

}  concert_struct;

concert_struct *concert;

/* -include_additions */

typedef struct _DisplayStructure
{
        char      *display;
        int       input, output, pid;
        XtInputId id;

        struct  _DisplayStructure *next, *prev;
} DisplayStructure;

DisplayStructure *display_list;

/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
